org.apache.lucene.analysis.ru

## Class RussianLightStemmer

- java.lang.Object
- - org.apache.lucene.analysis.ru.RussianLightStemmer

    public class RussianLightStemmer
    extends Object

Light Stemmer for Russian.

This stemmer implements the following algorithm: Indexing and Searching Strategies for the Russian Language. Ljiljana Dolamic and Jacques Savoy.

### Constructor Summary

Constructors
Constructor and Description
`RussianLightStemmer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `stem(char[] s, int len)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RussianLightStemmer

    public RussianLightStemmer()

### Method Detail

#### stem

    public int stem(char[] s,
                    int len)